package cn.com.ctop.crawler.modules.music.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 快手音乐类别
 * @author jeecg-boot
 * @date   2020-09-11
 * @version V1.0
 */
@Data
@TableName("ctop_music_kuaishou_type")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_music_kuaishou_type对象", description="快手音乐类别")
public class MusicKuaishouType {

	@TableId
    private Long id;
	private String type;
	private String name;
	private String icon;
	private Date createTime;
	private Date updateTime;

	public MusicKuaishouType(JSONObject data) {
		this.setIcon(data.getString("icon"));
		this.setName(data.getString("name"));
		this.setType(data.getString("type"));
		this.setId(data.getLong("id"));
	}

	public MusicKuaishouType() {

	}

}
